io.milvus.param.credential

## Class UpdateCredentialParam.Builder

- java.lang.Object
- - io.milvus.param.credential.UpdateCredentialParam.Builder

Enclosing class:
  UpdateCredentialParam

    public static final class UpdateCredentialParam.Builder
    extends java.lang.Object

Builder for `UpdateCredentialParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateCredentialParam` `build()` Verifies parameters and creates a new `UpdateCredentialParam` instance.
`UpdateCredentialParam.Builder` `withNewPassword(@NonNull java.lang.String password)` Sets the new password.
`UpdateCredentialParam.Builder` `withOldPassword(@NonNull java.lang.String password)` Sets the old password.
`UpdateCredentialParam.Builder` `withUsername(@NonNull java.lang.String username)` Sets the username.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withUsername

    public UpdateCredentialParam.Builder withUsername(@NonNull
                                                      @NonNull java.lang.String username)

Sets the username. Username cannot be empty or null.

Parameters:
  `username` - username
Returns:
  `Builder`

#### withOldPassword

    public UpdateCredentialParam.Builder withOldPassword(@NonNull
                                                         @NonNull java.lang.String password)

Sets the old password. Old password cannot be empty or null.

Parameters:
  `password` - old password
Returns:
  `Builder`

#### withNewPassword

    public UpdateCredentialParam.Builder withNewPassword(@NonNull
                                                         @NonNull java.lang.String password)

Sets the new password. New password cannot be empty or null.

Parameters:
  `password` - password
Returns:
  `Builder`

#### build

    public UpdateCredentialParam build()
                                throws ParamException

Verifies parameters and creates a new `UpdateCredentialParam` instance.

Returns:
  `UpdateCredentialParam`
Throws:
  `ParamException`